<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="copydiff"
    nsURI="http://www.modelversioning.org/copydiff/1.0" nsPrefix="copydiff">
  <eClassifiers xsi:type="ecore:EClass" name="CopyElementRightTarget" eSuperTypes="platform:/plugin/org.eclipse.emf.compare.diff/model/diff.ecore#//ModelElementChangeRightTarget">
    <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
      <details key="documentation" value="A &quot;RightTarget&quot; element copy describes a difference involving the left element/resource. In the case of CopyElements, this can describe either the copy of an element or the remote removal of the copy (for three way comparisons)."/>
    </eAnnotations>
    <eStructuralFeatures xsi:type="ecore:EReference" name="copiedLeftElement" eType="ecore:EClass http://www.eclipse.org/emf/2002/Ecore#//EObject"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="CopyElementLeftTarget" eSuperTypes="platform:/plugin/org.eclipse.emf.compare.diff/model/diff.ecore#//ModelElementChangeLeftTarget">
    <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
      <details key="documentation" value="A &quot;LeftTarget&quot; element copy describes a difference involving the left element/resource. In the case of CopyElements, this can describe either the copy of an element or the remote removal of the copy (for three way comparisons)."/>
    </eAnnotations>
    <eStructuralFeatures xsi:type="ecore:EReference" name="copiedRightElement" eType="ecore:EClass http://www.eclipse.org/emf/2002/Ecore#//EObject"/>
  </eClassifiers>
</ecore:EPackage>
